<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <meta name="generator" content="pandoc" />
  <title>etm installation</title>
  <style type="text/css">code{white-space: pre;}</style>
</head>
<body>
<style>
body {
    margin: auto;
    padding-right: 1em;
    padding-left: 1em;
    max-width: 44em;
    border-left: 1px solid black;
    border-right: 1px solid black;
    color: black;
    font-family: Verdana, sans-serif;
    font-size: 100%;
    line-height: 140%;
    color: #333;
}
pre, tt{
    font-family: monospace;
    background-color:#f8f8f8;
    padding: 2px 4px;
}
code{
    background-color:#f8f8f8;
    white-space: pre-wrap;
    font-size: 110%;
    padding: 1px 1px;
}
h1 a, h2 a, h3 a, h4 a, h5 a, li a {
    text-decoration: none;
    color: #7a5ada;
}
h1, h2, h3, h4, h5 { font-family: verdana;
                     font-weight: bold;
                     /*border-bottom: 1px dotted black;*/
                     color: #7a5ada; }
h1 {
        font-size: 130%;
}

h2 {
        font-size: 110%;
                     border-bottom: 1px dotted black;
}

h3 {
        font-size: 100%;
                     border-bottom: 1px dotted black;
}

h4 {
        font-size: 90%;
        font-style: italic;
                     border-bottom: 1px dotted black;
}

h5 {
        font-size: 85%;
        font-style: italic;
                     border-bottom: 1px dotted black;
}

h1.title {
        font-size: 200%;
        font-weight: bold;
        padding-top: 0.2em;
        padding-bottom: 0.2em;
        text-align: left;
        border: none;
}

dt code {
        font-weight: bold;
}
dd p {
        margin-top: 0;
}

#footer {
        padding-top: 1em;
        font-size: 70%;
        color: gray;
        text-align: center;
}
</style>
<div id="header">
<h1 class="title">etm installation</h1>
</div>
<div id="TOC">
<ul>
<li><a href="#package-installation-under-os-x-10.6">Package installation under OS X 10.6+</a></li>
<li><a href="#source-installation-under-os-x-linux-or-windows">Source installation under OS X, Linux or Windows</a><ul>
<li><a href="#qt">Qt</a></li>
<li><a href="#sip-and-pyqt">SIP and PyQt</a></li>
<li><a href="#installing-etm">installing etm</a><ul>
<li><a href="#option-1-use-pip">option 1) use pip</a></li>
<li><a href="#option-2-use-easy_install">option 2) use easy_install</a></li>
<li><a href="#option-3-download-and-run-setup.py">option 3) download and run setup.py</a></li>
</ul></li>
</ul></li>
<li><a href="#installing-mercurial">Installing Mercurial</a></li>
<li><a href="#previous-etm-users">Previous etm users</a></li>
<li><a href="#new-etm-users">New etm users</a></li>
</ul>
</div>
<h1 id="package-installation-under-os-x-10.6"><a href="#package-installation-under-os-x-10.6">Package installation under OS X 10.6+</a></h1>
<p>There is an installable, 64bit application. Download <em>etm_qt-x.x.x.dmg</em> from this site, open it and drag <em>etm.app</em> to your Applications folder. If you already have <em>etm.app</em> in your Applications folder, then you might want to rename the new version to something like <em>etm_qt.app</em> before moving it to Applications. Follow the instructions below to install Mercurial.</p>
<p>Since pyinstaller has not yet been ported to python 3, this application is built with python 2.7.3.</p>
<h1 id="source-installation-under-os-x-linux-or-windows"><a href="#source-installation-under-os-x-linux-or-windows">Source installation under OS X, Linux or Windows</a></h1>
<p>Python 2.7.x or python &gt;= 3.3.0 is required.</p>
<p>The following python packages are required for etm but are not included in the python standard library:</p>
<ul>
<li>dateutil (1.5 is OK but &gt;= 2.1 is strongly recommended)</li>
<li>PyYaml (&gt;= 3.10)</li>
<li>icalendar (&gt;=3.5 for python 2, &gt;= 3.6<sup><a href="#fn1" class="footnoteRef" id="fnref1">1</a></sup> for python 3)</li>
</ul>
<h2 id="qt"><a href="#qt">Qt</a></h2>
<p>Windows users can skip this step and proceed to SIP and PyQt. The binary PyQt installer for Windows installs Qt, SIP and PyQt in one step.</p>
<p>http://qt-project.org/downloads - the build platform used 4.8.4.</p>
<p>You may not need to install Qt. Qt is a part of the standard package installation for Ubuntu 12 and possibly other linux distributions as well. Both Qt 4 and Qt 5 are supported.</p>
<p>Binaries are available for windows and osx.</p>
<h2 id="sip-and-pyqt"><a href="#sip-and-pyqt">SIP and PyQt</a></h2>
<p>Both SIP and PyQt are available from</p>
<pre><code>http://www.riverbankcomputing.com/software/pyqt/download</code></pre>
<p>As noted above the binary installer for Windows installs compatible versions of Qt, SIP and PyQt in one step.</p>
<p>The following combinations have been tested:</p>
<ol style="list-style-type: decimal">
<li><p>python 2.7.3 or 2.7.5: Qt 4.8.4, SIP 4.14.1-2 and PyQt4 4.9.5</p></li>
<li><p>python 3.3.0 or 3.3.2: Qt 4.8.4, SIP 4.14.1-3 and PyQt 4.9.6 or 4.10</p></li>
<li><p>python 2.7.6 or 3.3.3: Qt 4.8.5, SIP 4.15.3 and PyQt 4.10.3</p></li>
<li><p>python 2.7.6 or 3.3.3: Qt 5.1.1, SIP 4.15.3 and PyQt 5.1.1</p></li>
</ol>
<p><strong>Install Qt, then SIP and finally PyQt</strong></p>
<p>Windows users can skip this step.</p>
<p>For both SIP and PyQt, use the standard python installation process:</p>
<pre><code>python configure.py
make
sudo make install</code></pre>
<p>Note: You will get either a 32bit or 64bit installation depending upon the version of python you use with <code>configure.py</code>. For example, you would use</p>
<pre><code>python3 configure.py</code></pre>
<p>for both SIP and PyQt to get python 3 versions.</p>
<h2 id="installing-etm"><a href="#installing-etm">installing etm</a></h2>
<p>You will need setuptools to use any of the etm installation options below. Downloads and instructions are available at:</p>
<pre><code>pypi.python.org/pypi/setuptools#downloads</code></pre>
<p>Installing setuptools makes easy_install available and you can use it to install pip</p>
<pre><code>sudo easy_install pip</code></pre>
<h3 id="option-1-use-pip"><a href="#option-1-use-pip">option 1) use pip</a></h3>
<pre><code>sudo pip install -U etm_qt</code></pre>
<p>For an initial install, <code>-U</code> can be omitted. Note that use of the latest version of pip might require replacing &quot;pip&quot; with, e.g., &quot;pip2&quot;, &quot;pip-2.7&quot; or &quot;pip-3.3&quot;.</p>
<h3 id="option-2-use-easy_install"><a href="#option-2-use-easy_install">option 2) use easy_install</a></h3>
<pre><code>sudo easy_install -U etm_qt</code></pre>
<p>For an initial install, <code>-U</code> can be omitted.</p>
<h3 id="option-3-download-and-run-setup.py"><a href="#option-3-download-and-run-setup.py">option 3) download and run setup.py</a></h3>
<p>Download 'etm_qt-x.x.x.tar.gz' from this site, unpack the tarball, cd to the resulting directory and do the normal</p>
<pre><code>sudo python setup.py install</code></pre>
<p>for a system installation. You can then run from any directory either</p>
<pre><code>$ etm_qt ?</code></pre>
<p>for information about command line usage or</p>
<pre><code>$ etm_qt</code></pre>
<p>to open the etm gui.</p>
<p>Alternatively, you can avoid doing a system installation and simply run either</p>
<pre><code>$ python etm_qt ?</code></pre>
<p>or</p>
<pre><code>$ python etm_qt</code></pre>
<p>or</p>
<pre><code>$ ./etm_qt</code></pre>
<p>from this directory.</p>
<h1 id="installing-mercurial"><a href="#installing-mercurial">Installing Mercurial</a></h1>
<p><strong>Optional but strongly recommended!</strong></p>
<p>Download Mercurial from</p>
<pre><code>http://mercurial.selenic.com/</code></pre>
<p>install it and then create the file <em>~/.hgrc</em>, if it doesn't already exist, with at least the following two lines:</p>
<pre><code>[ui]
username = Your Name &lt;your email address&gt;</code></pre>
<p>Mercurial is used to keep a record of changes to your etm data files.</p>
<h1 id="previous-etm-users"><a href="#previous-etm-users">Previous etm users</a></h1>
<p>Just to be safe, before you run etm the first time, <strong>make a copy of the entire directory</strong>:</p>
<pre><code>~/.etm</code></pre>
<p>The first time you run etm it will create, if necessary, the following:</p>
<pre><code>~/.etm
~/.etm/etm.cfg
~/.etm/data</code></pre>
<p>You can edit ~/.etm/etm.cfg to change the location of the data directory if you wish. You should choose a <em>different location</em> from your current data directory.</p>
<p>If you want to use your existing data files, <em>make a copy of your current data directory</em> (the directory specified by <code>etmdata</code> in <em>~/.etm/etmrc</em>) and place it in</p>
<pre><code>~/.etm/data</code></pre>
<p>or whatever location you specified for <code>datadir</code> in <em>~/.etm/etm.cfg</em>. Next download <code>one2two.py.txt</code> from this site, cd to the location of <code>datadir</code> and then execute</p>
<pre><code>$ python pathto/one2two.py.txt</code></pre>
<p>This will traverse your data directory reading **.text* files and displaying the item by item changes that the new format would entail. Run this script with <code>-m</code> appended:</p>
<pre><code>$ python pathto/one2two.py.txt -m</code></pre>
<p>to actually write the items in the new format to <strong>.txt* files. Note that your existing files will not be changed. You can run this script again but it will overwrite any changes you have made to the new </strong>.txt* files.</p>
<p>If you follow these suggestions, your new etm installation will be completely independent of your current installation.</p>
<h1 id="new-etm-users"><a href="#new-etm-users">New etm users</a></h1>
<p>You can download files from the <em>sample</em> folder on this site. Put <code>sample_datafile.txt</code> in your datadir, <code>~/.etm/data</code> by default, to have some existing items when you start etm.</p>
<p>Now, if you have done the system installation, you can run</p>
<pre><code>$ etm_qt</code></pre>
<p>from any directory to open the gui, or you can just execute</p>
<pre><code>$ python etm_qt</code></pre>
<p>from the unpack directory to run etm without a system installation.</p>
<p>A good strategy is to look first at overview.html under help information on this web site and then the other help files there. This same information is available by pressing F1 in the etm gui. The file cheatsheet.pdf is intended to be a helpful reference.</p>
<div class="footnotes">
<hr />
<ol>
<li id="fn1"><p>As of November 2013, icalendar 3.6 has not yet been released but is available using git:</p>
<p>git clone https://github.com/collective/icalendar/<a href="#fnref1">↩</a></p></li>
</ol>
</div>
</body>
</html>
